curl --request PATCH \
--url https://api-sandbox.synctera.com/v0/cards/images/{card_image_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rejection_memo": "<string>"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/cards/images/{card_image_id}"
payload = { "rejection_memo": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rejection_memo: '<string>'})
};
fetch('https://api-sandbox.synctera.com/v0/cards/images/{card_image_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_product_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"status": "APPROVED",
"rejection_memo": "<string>",
"rejection_reason": "BRANDED"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Update Card Image Details
Update card image details. The only detail that can be updated is the card status as APPROVED or REJECTED.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
The unique identifier of a card image
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Details of the image to create
The status of a custom card image
APPROVED, NOT_UPLOADED, REJECTED, UNREVIEWED The category of reason that a card image was rejected
BRANDED, COPYRIGHT, INAPPROPRIATE, OTHER, PROMOTIONAL, TRADEMARK Response
Details of the card image
The unique identifier of a cards product
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The unique identifier of a customer
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The unique identifier of a card image
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The status of a custom card image
APPROVED, NOT_UPLOADED, REJECTED, UNREVIEWED The category of reason that a card image was rejected
BRANDED, COPYRIGHT, INAPPROPRIATE, OTHER, PROMOTIONAL, TRADEMARK Was this page helpful?

